| Tipro API Communicate with Tipro devices

Macros | Functions
BF07.h File Reference
`#include "TiproHidDevice.h"`
Include dependency graph for BF07.h:

Go to the source code of this file.

## Macros
#define | SBX_SPK_LEVEL_MIN 0x00
#define | SBX_SPK_LEVEL_MAX 0x14
#define | BF07_PTT_LED_OFF 0x00
#define | BF07_PTT_LED_ON 0x10
#define | BF07_PTT_LED_BLINK 0x20
#define | BF07_HANDSET_SPEAKER_LEVEL_P4 0x00
#define | BF07_HANDSET_SPEAKER_LEVEL_P3 0x01
#define | BF07_HANDSET_SPEAKER_LEVEL_P2 0x02
#define | BF07_HANDSET_SPEAKER_LEVEL_P1 0x03
#define | BF07_HANDSET_SPEAKER_LEVEL_0 0x03
#define | BF07_HANDSET_SPEAKER_LEVEL_M1 0x04
#define | BF07_HANDSET_SPEAKER_LEVEL_M2 0x05
#define | BF07_HANDSET_SPEAKER_LEVEL_M3 0x06
#define | BF07_HANDSET_SPEAKER_LEVEL_M4 0x07
#define | BF07_HANDSET_SPEAKER_LEVEL_M5 0x08
#define | BF07_HANDSET_SPEAKER_LEVEL_M6 0x09
#define | BF07_HANDSET_SPEAKER_LEVEL_M7 0x0A
#define | BF07_HANDSET_HEADSET_ILLEGAL 0xFF
#define | BF07_HANDSET_HEADSET_MIN BF07_HANDSET_SPEAKER_LEVEL_P4
#define | BF07_HANDSET_HEADSET_MAX BF07_HANDSET_SPEAKER_LEVEL_M7
#define | BF07_ALERT_AS_ALERT 0x00
#define | BF07_ALERT_AS_VOICE 0x01
#define | BF07_ALERT_NOT_USED 0x02
#define | BF07_ALERT_ILLEGAL 0xFF
#define | BF07_DEVICE_HANDSFREE 0x00
#define | BF07_DEVICE_HANDSET 0x01
#define | BF07_DEVICE_HANDSFREE_HANDSET 0x04
#define | BF07_DEVICE_ILLEGAL 0xFF
#define | BF07_MIC_LEVEL_P3 0x10
#define | BF07_MIC_LEVEL_P2 0x11
#define | BF07_MIC_LEVEL_P1 0x12
#define | BF07_MIC_LEVEL_0 0x13
#define | BF07_MIC_LEVEL_M1 0x14
#define | BF07_MIC_LEVEL_M2 0x15
#define | BF07_MIC_LEVEL_M3 0x16
#define | BF07_MIC_LEVEL_M4 0x17
#define | BF07_MIC_LEVEL_M5 0x18
#define | BF07_MIC_LEVEL_M6 0x19
#define | BF07_MIC_LEVEL_M7 0x1A
#define | BF07_MIC_LEVEL_M8 0x1B
#define | BF07_MIC_LEVEL_M9 0x1C
#define | BF07_MIC_LEVEL_M10 0x1D
#define | BF07_MIC_LEVEL_M11 0x1E
#define | BF07_MIC_LEVEL_MIN BF07_MIC_LEVEL_P3
#define | BF07_MIC_LEVEL_MAX BF07_MIC_LEVEL_M11
#define | BF07_MIC_THRESHOLD_HIGH 0x10
#define | BF07_MIC_THRESHOLD_MID 0x11
#define | BF07_MIC_THRESHOLD_LOW 0x12
#define | BF07_MIC_THRESHOLD_LOWER 0x13
#define | BF07_MIC_THRESHOLD_VERY_LOW 0x14
#define | BF07_MIC_THRESHOLD_MIN BF07_MIC_THRESHOLD_HIGH
#define | BF07_MIC_THRESHOLD_MAX BF07_MIC_THRESHOLD_VERY_LOW
#define | BF07_MIC_COMPRESSION_OFF 0x10
#define | BF07_MIC_COMPRESSION_ON 0x11
#define | BF07_MIC_COMPRESSION_MIN BF07_MIC_COMPRESSION_OFF
#define | BF07_MIC_COMPRESSION_MAX BF07_MIC_COMPRESSION_ON
#define | BF07_MIC_DISTANCE_M2 0x0A
#define | BF07_MIC_DISTANCE_M1 0x0B
#define | BF07_MIC_DISTANCE_0 0x0C
#define | BF07_MIC_DISTANCE_P1 0x0D
#define | BF07_MIC_DISTANCE_P2 0x0E
#define | BF07_MIC_DISTANCE_P3 0x0F
#define | BF07_MIC_DISTANCE_P4 0x10
#define | BF07_MIC_DISTANCE_P5 0x11
#define | BF07_MIC_DISTANCE_P6 0x12
#define | BF07_MIC_DISTANCE_P7 0x13
#define | BF07_MIC_DISTANCE_P8 0x14
#define | BF07_MIC_DISTANCE_VERY_SHORT BF07_MIC_DISTANCE_0
#define | BF07_MIC_DISTANCE_SHORT BF07_MIC_DISTANCE_P2
#define | BF07_MIC_DISTANCE_MEDIUM BF07_MIC_DISTANCE_P4
#define | BF07_MIC_DISTANCE_LONG BF07_MIC_DISTANCE_P6
#define | BF07_MIC_DISTANCE_MIN BF07_MIC_DISTANCE_M2
#define | BF07_MIC_DISTANCE_MAX BF07_MIC_DISTANCE_P8
#define | BF07_EC_OFF 0x0F
#define | BF07_EC_ON 0x1F
#define | BF07_EC_NOT_PRESENT 0xFF
#define | BF07_VU_MIC_OFF 0x3C
#define | BF07_VU_MIC_ON 0x3D
#define | BF07_SIDETONE_LEVEL_M1 0x00
#define | BF07_SIDETONE_LEVEL_M2 0x01
#define | BF07_SIDETONE_LEVEL_M3 0x02
#define | BF07_SIDETONE_LEVEL_M4 0x03
#define | BF07_SIDETONE_LEVEL_M5 0x04
#define | BF07_SIDETONE_LEVEL_M6 0x05
#define | BF07_SIDETONE_LEVEL_M7 0x06
#define | BF07_SIDETONE_LEVEL_M8 0x07
#define | BF07_SIDETONE_LEVEL_M9 0x08
#define | BF07_SIDETONE_OFF 0xFE
#define | BF07_SIDETONE_ILLEGAL 0xFF
#define | BF07_SIDETONE_MIN BF07_SIDETONE_LEVEL_M1
#define | BF07_SIDETONE_MAX BF07_SIDETONE_LEVEL_M9
#define | BF07_KEY_PTT_HANDSFREE 0x01
#define | BF07_KEY_PTT_HANDSET 0x02
#define | BF07_KEY_HOOK 0x03
#define | BF07_VU_SPK_L 0x33
#define | BF07_VU_SPK_LR 0x37

## Functions
int | TiproBF07SetSpeakerLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the speakers. More...
int | TiproBF07GetSpeakerLevel (TiproHidDevice *device, int *nLevel)
| Returns the level of the speakers. More...
int | TiproBF07SetPTTLEDState (TiproHidDevice *device, int nState)
| Sets the LED state of PTT key. More...
int | TiproBF07GetPTTLEDState (TiproHidDevice *device, int *nState)
| Returns the LED state of the PTT key. More...
int | TiproBF07SetHandsetSpeakerLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the handset spekaer. More...
int | TiproBF07GetHandsetSpeakerLevel (TiproHidDevice *device, int *nLevel)
| Returns the current level of the handset speaker. More...
int | TiproBF07SetAlertLine (TiproHidDevice *device, int nMode)
| Sets the function (mode) of the alert line. More...
int | TiproBF07GetAlertLine (TiproHidDevice *device, int *nMode)
| Returns the function (mode) of the alert line. More...
int | TiproBF07SetMicrophoneLevel (TiproHidDevice *device, int nLevel, int nDevice)
| Sets the level of the microphone signal. More...
int | TiproBF07GetMicrophoneLevel (TiproHidDevice *device, int *nLevel, int nDevice)
| Returns the level of microphone signal. More...
int | TiproBF07SetMicrophoneThreshold (TiproHidDevice *device, int nThreshold, int nDevice)
| Sets the microphone threshold. More...
int | TiproBF07GetMicrophoneThreshold (TiproHidDevice *device, int *nThreshold, int nDevice)
| Returns microphone threshold. More...
int | TiproBF07SetMicrophoneCompression (TiproHidDevice *device, int nCompression, int nDevice)
| Sets the microphone compression. More...
int | TiproBF07GetMicrophoneCompression (TiproHidDevice *device, int *nCompression, int nDevice)
| Returns microphone compression. More...
int | TiproBF07SetMicrophoneOptimalDistance (TiproHidDevice *device, int nDistance, int nDevice)
| Sets the optimal distance for the microphone. More...
int | TiproBF07GetMicrophoneOptimalDistance (TiproHidDevice *device, int *nDistance, int nDevice)
| Returns the optimal distance of the microphone. More...
int | TiproBF07SetLEDBlinkSpeed (TiproHidDevice *device, int nTBlinkA, int nTBlinkB)
| Sets the LED blink timings. More...
int | TiproBF07GetLEDBlinkSpeed (TiproHidDevice *device, int *nTBlinkA, int *nTBlinkB)
| Get LED blink timings. More...
int | TiproBF07TouchscreenDisable (TiproHidDevice *device)
| Disables touchscreen. More...
int | TiproBF07TouchscreenEnable (TiproHidDevice *device)
| Enables touchscreen. More...
int | TiproBF07DisableEcho (TiproHidDevice *device)
| Disables echo canceler. More...
int | TiproBF07EnableEcho (TiproHidDevice *device)
| Enables echo canceler if present. More...
int | TiproBF07GetEchoState (TiproHidDevice *device, int *nState)
| Returns echo state. More...
int | TiproBF07SetMicOnVUState (TiproHidDevice *device, int nState)
| Sets if microphone level is shown on the VU-meter (ON/OFF) More...
int | TiproBF07GetMicOnVUState (TiproHidDevice *device, int *nState)
| Returns if microphone level is shown on the VU-meter (ON/OFF) More...
int | TiproBF07SetHandsetSidetoneLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the handset sidetone. More...
int | TiproBF07SetHandsetSidetone (TiproHidDevice *device, bool bOn)
| Turn sidetone On or Off. More...
int | TiproBF07GetHandsetSidetoneLevel (TiproHidDevice *device, int *nLevel)
| Returns the current level of the handset sidetone. More...
int | TiproBF07EmulateKeyPress (TiproHidDevice *device, int nKey)
| Emulates handset or handsfree PTT key press. More...
int | TiproBF07EmulateKeyRelease (TiproHidDevice *device, int nKey)
| Emulates handset or handsfree PTT key release. More...

## Detailed Description

BF07

This file includes functions for communication with BF07.

BeFREE 07 (BF07) is a touchcomputer with integrated intercom, handset and programmable keys.

Tipro

suppo.nosp@m.rt@t.nosp@m.ipro..nosp@m.si

Copyright 2021

## Macro Definition Documentation

## ◆ BF07_ALERT_AS_ALERT

#define BF07_ALERT_AS_ALERT 0x00

Alert line mode - When handset is off-hook: Voice(Left) is switched to handset and Alert(Right) stays always on speakers

## ◆ BF07_ALERT_AS_VOICE

#define BF07_ALERT_AS_VOICE 0x01

Alert line mode - When handset is off-hook: Voice(Left) and Alert(Right) are switched to handset

## ◆ BF07_ALERT_NOT_USED

#define BF07_ALERT_NOT_USED 0x02

Alert line mode - When handset is off-hook: Voice(Left) is switched to handset and Alert(Right) is muted

## ◆ BF07_DEVICE_HANDSET

#define BF07_DEVICE_HANDSET 0x01

Handset device

## ◆ BF07_DEVICE_HANDSFREE

#define BF07_DEVICE_HANDSFREE 0x00

Handsfree device - Left and right speaker and gooseneck microphone

## ◆ BF07_DEVICE_HANDSFREE_HANDSET

#define BF07_DEVICE_HANDSFREE_HANDSET 0x04

Handsfree and handset device

## ◆ BF07_EC_OFF

#define BF07_EC_OFF 0x0F

Echo canceller disabled.

## ◆ BF07_EC_ON

#define BF07_EC_ON 0x1F

Echo canceller enabled.

## ◆ BF07_HANDSET_SPEAKER_LEVEL_0

#define BF07_HANDSET_SPEAKER_LEVEL_0 0x03

Handset speaker level 0

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M1

#define BF07_HANDSET_SPEAKER_LEVEL_M1 0x04

Handset speaker level -1

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M2

#define BF07_HANDSET_SPEAKER_LEVEL_M2 0x05

Handset speaker level -2

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M3

#define BF07_HANDSET_SPEAKER_LEVEL_M3 0x06

Handset speaker level -3

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M4

#define BF07_HANDSET_SPEAKER_LEVEL_M4 0x07

Handset speaker level -4

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M5

#define BF07_HANDSET_SPEAKER_LEVEL_M5 0x08

Handset speaker level -5

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M6

#define BF07_HANDSET_SPEAKER_LEVEL_M6 0x09

Handset speaker level -6

## ◆ BF07_HANDSET_SPEAKER_LEVEL_M7

#define BF07_HANDSET_SPEAKER_LEVEL_M7 0x0A

Handset speaker level -7 (minimum)

## ◆ BF07_HANDSET_SPEAKER_LEVEL_P1

#define BF07_HANDSET_SPEAKER_LEVEL_P1 0x03

Handset speaker level +1

## ◆ BF07_HANDSET_SPEAKER_LEVEL_P2

#define BF07_HANDSET_SPEAKER_LEVEL_P2 0x02

Handset speaker level +2

## ◆ BF07_HANDSET_SPEAKER_LEVEL_P3

#define BF07_HANDSET_SPEAKER_LEVEL_P3 0x01

Handset speaker level +3

## ◆ BF07_HANDSET_SPEAKER_LEVEL_P4

#define BF07_HANDSET_SPEAKER_LEVEL_P4 0x00

Handset speaker level +4 (maximum)

## ◆ BF07_KEY_HOOK

#define BF07_KEY_HOOK 0x03

Handset hook switch

## ◆ BF07_KEY_PTT_HANDSET

#define BF07_KEY_PTT_HANDSET 0x02

Handset PTT button

## ◆ BF07_KEY_PTT_HANDSFREE

#define BF07_KEY_PTT_HANDSFREE 0x01

Handsfree PTT button

## ◆ BF07_MIC_COMPRESSION_OFF

#define BF07_MIC_COMPRESSION_OFF 0x10

Microphone compression off

## ◆ BF07_MIC_COMPRESSION_ON

#define BF07_MIC_COMPRESSION_ON 0x11

Microphone compression on

## ◆ BF07_MIC_DISTANCE_0

#define BF07_MIC_DISTANCE_0 0x0C

Microphone preamplifier level 0

## ◆ BF07_MIC_DISTANCE_LONG

#define BF07_MIC_DISTANCE_LONG BF07_MIC_DISTANCE_P6

Long distance

## ◆ BF07_MIC_DISTANCE_M1

#define BF07_MIC_DISTANCE_M1 0x0B

Microphone preamplifier level -1

## ◆ BF07_MIC_DISTANCE_M2

#define BF07_MIC_DISTANCE_M2 0x0A

Microphone preamplifier level -2 (minimum)

## ◆ BF07_MIC_DISTANCE_MEDIUM

#define BF07_MIC_DISTANCE_MEDIUM BF07_MIC_DISTANCE_P4

Medium distance

## ◆ BF07_MIC_DISTANCE_P1

#define BF07_MIC_DISTANCE_P1 0x0D

Microphone preamplifier level +1

## ◆ BF07_MIC_DISTANCE_P2

#define BF07_MIC_DISTANCE_P2 0x0E

Microphone preamplifier level +2

## ◆ BF07_MIC_DISTANCE_P3

#define BF07_MIC_DISTANCE_P3 0x0F

Microphone preamplifier level +3

## ◆ BF07_MIC_DISTANCE_P4

#define BF07_MIC_DISTANCE_P4 0x10

Microphone preamplifier level +4

## ◆ BF07_MIC_DISTANCE_P5

#define BF07_MIC_DISTANCE_P5 0x11

Microphone preamplifier level +5

## ◆ BF07_MIC_DISTANCE_P6

#define BF07_MIC_DISTANCE_P6 0x12

Microphone preamplifier level +6

## ◆ BF07_MIC_DISTANCE_P7

#define BF07_MIC_DISTANCE_P7 0x13

Microphone preamplifier level +7

## ◆ BF07_MIC_DISTANCE_P8

#define BF07_MIC_DISTANCE_P8 0x14

Microphone preamplifier level +8 (maximum)

## ◆ BF07_MIC_DISTANCE_SHORT

#define BF07_MIC_DISTANCE_SHORT BF07_MIC_DISTANCE_P2

Short distance

## ◆ BF07_MIC_DISTANCE_VERY_SHORT

#define BF07_MIC_DISTANCE_VERY_SHORT BF07_MIC_DISTANCE_0

Very short distance

## ◆ BF07_MIC_LEVEL_0

#define BF07_MIC_LEVEL_0 0x13

Microphone attenuation level 0

## ◆ BF07_MIC_LEVEL_M1

#define BF07_MIC_LEVEL_M1 0x14

Microphone attenuation level -1

## ◆ BF07_MIC_LEVEL_M10

#define BF07_MIC_LEVEL_M10 0x1D

Microphone attenuation level -10

## ◆ BF07_MIC_LEVEL_M11

#define BF07_MIC_LEVEL_M11 0x1E

Microphone attenuation level -11 (minimum)

## ◆ BF07_MIC_LEVEL_M2

#define BF07_MIC_LEVEL_M2 0x15

Microphone attenuation level -2

## ◆ BF07_MIC_LEVEL_M3

#define BF07_MIC_LEVEL_M3 0x16

Microphone attenuation level -3

## ◆ BF07_MIC_LEVEL_M4

#define BF07_MIC_LEVEL_M4 0x17

Microphone attenuation level -4

## ◆ BF07_MIC_LEVEL_M5

#define BF07_MIC_LEVEL_M5 0x18

Microphone attenuation level -5

## ◆ BF07_MIC_LEVEL_M6

#define BF07_MIC_LEVEL_M6 0x19

Microphone attenuation level -6

## ◆ BF07_MIC_LEVEL_M7

#define BF07_MIC_LEVEL_M7 0x1A

Microphone attenuation level -7

## ◆ BF07_MIC_LEVEL_M8

#define BF07_MIC_LEVEL_M8 0x1B

Microphone attenuation level -8

## ◆ BF07_MIC_LEVEL_M9

#define BF07_MIC_LEVEL_M9 0x1C

Microphone attenuation level -9

## ◆ BF07_MIC_LEVEL_P1

#define BF07_MIC_LEVEL_P1 0x12

Microphone attenuation level +1

## ◆ BF07_MIC_LEVEL_P2

#define BF07_MIC_LEVEL_P2 0x11

Microphone attenuation level +2

## ◆ BF07_MIC_LEVEL_P3

#define BF07_MIC_LEVEL_P3 0x10

Microphone attenuation level +3 (maximum)

## ◆ BF07_MIC_THRESHOLD_HIGH

#define BF07_MIC_THRESHOLD_HIGH 0x10

Microphone noise threshold high

## ◆ BF07_MIC_THRESHOLD_LOW

#define BF07_MIC_THRESHOLD_LOW 0x12

Microphone noise threshold low

## ◆ BF07_MIC_THRESHOLD_LOWER

#define BF07_MIC_THRESHOLD_LOWER 0x13

Microphone noise threshold lower

## ◆ BF07_MIC_THRESHOLD_MID

#define BF07_MIC_THRESHOLD_MID 0x11

Microphone noise threshold mid

## ◆ BF07_MIC_THRESHOLD_VERY_LOW

#define BF07_MIC_THRESHOLD_VERY_LOW 0x14

Microphone noise threshold very low

## ◆ BF07_PTT_LED_BLINK

#define BF07_PTT_LED_BLINK 0x20

PTT LED blinks.

## ◆ BF07_PTT_LED_OFF

#define BF07_PTT_LED_OFF 0x00

PTT LED is off.

## ◆ BF07_PTT_LED_ON

#define BF07_PTT_LED_ON 0x10

PTT LED lights.

## ◆ BF07_SIDETONE_LEVEL_M1

#define BF07_SIDETONE_LEVEL_M1 0x00

Handset sidetone level -1 (maximum)

## ◆ BF07_SIDETONE_LEVEL_M2

#define BF07_SIDETONE_LEVEL_M2 0x01

Handset sidetone level -2

## ◆ BF07_SIDETONE_LEVEL_M3

#define BF07_SIDETONE_LEVEL_M3 0x02

Handset sidetone level -3

## ◆ BF07_SIDETONE_LEVEL_M4

#define BF07_SIDETONE_LEVEL_M4 0x03

Handset sidetone level -4

## ◆ BF07_SIDETONE_LEVEL_M5

#define BF07_SIDETONE_LEVEL_M5 0x04

Handset sidetone level -5

## ◆ BF07_SIDETONE_LEVEL_M6

#define BF07_SIDETONE_LEVEL_M6 0x05

Handset sidetone level -6

## ◆ BF07_SIDETONE_LEVEL_M7

#define BF07_SIDETONE_LEVEL_M7 0x06

Handset sidetone level -7

## ◆ BF07_SIDETONE_LEVEL_M8

#define BF07_SIDETONE_LEVEL_M8 0x07

Handset sidetone level -8

## ◆ BF07_SIDETONE_LEVEL_M9

#define BF07_SIDETONE_LEVEL_M9 0x08

Handset sidetone level -9 (minimum)

## ◆ BF07_SIDETONE_OFF

#define BF07_SIDETONE_OFF 0xFE

Handset sidetone disabled.

## ◆ BF07_VU_MIC_OFF

#define BF07_VU_MIC_OFF 0x3C

Signal from microphone not added to analogue line in.

## ◆ BF07_VU_MIC_ON

#define BF07_VU_MIC_ON 0x3D

Signal from microphone added to analogue line in.

## ◆ BF07_VU_SPK_L

#define BF07_VU_SPK_L 0x33

Voice(Left) signal is shown on VU meter.

## ◆ BF07_VU_SPK_LR

#define BF07_VU_SPK_LR 0x37

Voice(Left) and Alert(Right) signals are shown on VU meter.

## ◆ SBX_SPK_LEVEL_MAX

#define SBX_SPK_LEVEL_MAX 0x14

Speaker level 20 - maximum

## ◆ SBX_SPK_LEVEL_MIN

#define SBX_SPK_LEVEL_MIN 0x00

Speaker level 0 - minimum

## Function Documentation

## ◆ TiproBF07DisableEcho()

int TiproBF07DisableEcho | ( | TiproHidDevice * | device | ) |

Disables echo canceler.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07EmulateKeyPress()

int TiproBF07EmulateKeyPress | ( | TiproHidDevice * | device,
|  | int | nKey
| ) |  |

Emulates handset or handsfree PTT key press.

Parameters

  [in] | device | Device
  [in] | nKey | Which key to "press" (HS_PTT, HF_PTT)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07EmulateKeyRelease()

int TiproBF07EmulateKeyRelease | ( | TiproHidDevice * | device,
|  | int | nKey
| ) |  |

Emulates handset or handsfree PTT key release.

Parameters

  [in] | device | Device
  [in] | nKey | Which key to "press" (HS_PTT, HF_PTT)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07EnableEcho()

int TiproBF07EnableEcho | ( | TiproHidDevice * | device | ) |

Enables echo canceler if present.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetAlertLine()

int TiproBF07GetAlertLine | ( | TiproHidDevice * | device,
|  | int * | nMode
| ) |  |

Returns the function (mode) of the alert line.

Parameters

  [in] | device | Device
  [out] | nMode | Mode (ALERT, VOICE, NOT USED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetEchoState()

int TiproBF07GetEchoState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns echo state.

Parameters

  [in] | device | Device
  [out] | nState | Echo state (ON/OFF/NOT_PRESENT)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetHandsetSidetoneLevel()

int TiproBF07GetHandsetSidetoneLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the current level of the handset sidetone.

Parameters

  [in] | device | Device
  [out] | nLevel | Handset sidetone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetHandsetSpeakerLevel()

int TiproBF07GetHandsetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the current level of the handset speaker.

Parameters

  [in] | device | Device
  [out] | nLevel | Handset speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetLEDBlinkSpeed()

int TiproBF07GetLEDBlinkSpeed | ( | TiproHidDevice * | device,
|  | int * | nTBlinkA,
|  | int * | nTBlinkB
| ) |  |

Get LED blink timings.

Parameters

  [in] | device | Device
  [out] | nTBlinkA | ON time in ms (1..65000)
  [out] | nTBlinkB | OFF time in ms (1..65000)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetMicOnVUState()

int TiproBF07GetMicOnVUState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns if microphone level is shown on the VU-meter (ON/OFF)

Parameters

  [in] | device | Device
  [out] | nState | Microphone on VU-meter state (ON/OFF)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetMicrophoneCompression()

int TiproBF07GetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int * | nCompression,
|  | int | nDevice
| ) |  |

Returns microphone compression.

Parameters

  [in] | device | Device
  [out] | nCompression | Microphone compression
  [in] | nDevice | Device to set (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetMicrophoneLevel()

int TiproBF07GetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel,
|  | int | nDevice
| ) |  |

Returns the level of microphone signal.

Parameters

  [in] | device | Device
  [out] | nLevel | Microphone level
  [in] | nDevice | Device to get (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetMicrophoneOptimalDistance()

int TiproBF07GetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int * | nDistance,
|  | int | nDevice
| ) |  |

Returns the optimal distance of the microphone.

Parameters

  [in] | device | Device
  [out] | nDistance | Microphone optimal distance
  [in] | nDevice | Device to set (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetMicrophoneThreshold()

int TiproBF07GetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int * | nThreshold,
|  | int | nDevice
| ) |  |

Returns microphone threshold.

Parameters

  [in] | device | Device
  [out] | nThreshold | Microphone threshold
  [in] | nDevice | Device to get (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetPTTLEDState()

int TiproBF07GetPTTLEDState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns the LED state of the PTT key.

Parameters

  [in] | device | Device
  [out] | nState | State of the LED (LED_ON/LED_OFF/LED_BLINK)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07GetSpeakerLevel()

int TiproBF07GetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the level of the speakers.

Parameters

  [in] | device | Device
  [out] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetAlertLine()

int TiproBF07SetAlertLine | ( | TiproHidDevice * | device,
|  | int | nMode
| ) |  |

Sets the function (mode) of the alert line.

Parameters

  [in] | device | Device
  [in] | nMode | Mode (ALERT, VOICE, NOT USED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetHandsetSidetone()

int TiproBF07SetHandsetSidetone | ( | TiproHidDevice * | device,
|  | bool | bOn
| ) |  |

Turn sidetone On or Off.

Parameters

  [in] | device | Device
  [in] | bOn | Handset On/Off

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetHandsetSidetoneLevel()

int TiproBF07SetHandsetSidetoneLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the handset sidetone.

Parameters

  [in] | device | Device
  [in] | nLevel | Handset sidetone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetHandsetSpeakerLevel()

int TiproBF07SetHandsetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the handset spekaer.

Parameters

  [in] | device | Device
  [in] | nLevel | Handset speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetLEDBlinkSpeed()

int TiproBF07SetLEDBlinkSpeed | ( | TiproHidDevice * | device,
|  | int | nTBlinkA,
|  | int | nTBlinkB
| ) |  |

Sets the LED blink timings.

Parameters

  [in] | device | Device
  [in] | nTBlinkA | ON time in ms (1..65000)
  [in] | nTBlinkB | OFF time in ms (1..65000)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetMicOnVUState()

int TiproBF07SetMicOnVUState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Sets if microphone level is shown on the VU-meter (ON/OFF)

Parameters

  [in] | device | Device
  [in] | nState | Microphone on VU-meter state (ON/OFF)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetMicrophoneCompression()

int TiproBF07SetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nCompression,
|  | int | nDevice
| ) |  |

Sets the microphone compression.

Parameters

  [in] | device | Device
  [in] | nCompression | Microphone compression
  [in] | nDevice | Device to set (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetMicrophoneLevel()

int TiproBF07SetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nLevel,
|  | int | nDevice
| ) |  |

Sets the level of the microphone signal.

Parameters

  [in] | device | Device
  [in] | nLevel | Microphone level
  [in] | nDevice | Device to set (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetMicrophoneOptimalDistance()

int TiproBF07SetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int | nDistance,
|  | int | nDevice
| ) |  |

Sets the optimal distance for the microphone.

Parameters

  [in] | device | Device
  [in] | nDistance | Microphone optimal distance
  [in] | nDevice | Device to set (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetMicrophoneThreshold()

int TiproBF07SetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nThreshold,
|  | int | nDevice
| ) |  |

Sets the microphone threshold.

Parameters

  [in] | device | Device
  [in] | nThreshold | Microphone threshold
  [in] | nDevice | Device to set (handsfree, handset)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetPTTLEDState()

int TiproBF07SetPTTLEDState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Sets the LED state of PTT key.

Parameters

  [in] | device | Device
  [in] | nState | State of the LED (LED_ON/LED_OFF/LED_BLINK)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07SetSpeakerLevel()

int TiproBF07SetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the speakers.

Parameters

  [in] | device | Device
  [in] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07TouchscreenDisable()

int TiproBF07TouchscreenDisable | ( | TiproHidDevice * | device | ) |

Disables touchscreen.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF07TouchscreenEnable()

int TiproBF07TouchscreenEnable | ( | TiproHidDevice * | device | ) |

Enables touchscreen.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code